import { default as MicroEditorModel } from "../../../Models/MicroEditorModel.js";
import { InputEditorView } from "./InputEditorView.js";
import GroupModel from "../../../Models/GroupModel.js";
export declare enum DynamicVariableType {
    None = 0,
    Context = 1
}
export declare enum DynamicVariableCss {
    None = "-fb-dynamics-none",
    Context = "-fb-dynamics-datatag"
}
export interface IInputViewOptions extends Jade.UI.IControlOptions {
    editor: MicroEditorModel;
}
export declare class InputView extends Jade.UI.Control {
    private m_editorView;
    private m_editorModel;
    private m_variableView;
    private m_variableUsed;
    private m_variableSupported;
    constructor(options: IInputViewOptions);
    get group(): GroupModel;
    get editorModel(): MicroEditorModel;
    get editorView(): InputEditorView;
    private get variableView();
    private get contentNode();
    private get labelNode();
    private get deckNode();
    get visible(): boolean;
    get variableSupported(): boolean;
    get variableUsed(): boolean;
    get variableButtonNode(): JQuery;
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private editor_init;
    private variable_init;
    private labelNode_onClick;
    private contentNode_onClick;
    private contentNode_onFocus;
    private contentNode_onBlur;
    private highlightLabel;
    private getGridTemplateColumns;
    private setVariableState;
    private variableButton_click;
    private showVariableInput;
    private showEditorInput;
    private processValidationErrors;
    private commitFocusToStorage;
}
